### Method

# EDataServer SourceCollection set_contacts_url

since: 3.26

#### Declaration [src]

    void
    e_source_collection_set_contacts_url (
      ESourceCollection* extension,
      const gchar* contacts_url
    )

#### Description [src]

Sets the contacts top URL, that is, where to search for contact sources.

The internal copy of `contacts_url` is automatically stripped of leading and trailing whitespace. If the resulting string is empty, `NULL` is set instead.

Available since: 3.26

Sets property | `EDataServer.SourceCollection:contacts-url`

#### Parameters

`contacts_url`

  Type: `const gchar*`

  Contacts top URL, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.